Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 21 Nov 2021 10:08:31 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I ordered shoes online last Thursday 18/11/2021. I chosed to delever the shoes to Ibn Battouta brand. It was confirmed in the order that it will be available for collection on Sunday 21/11/2021. I called today to follow up on the collection but they said it will take 4 days. What is the reason for such delay. What quality of customer service you have? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3417041